Refresh a prompt and all its region variants
curl --request POST \
--url https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"regions": [
{
"country": "<string>",
"iso2": "<string>",
"city": "<string>",
"state": "<string>",
"iso3": "<string>"
}
]
}
'import requests
url = "https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh"
payload = {
"teamId": "<string>",
"regions": [
{
"country": "<string>",
"iso2": "<string>",
"city": "<string>",
"state": "<string>",
"iso3": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
regions: [
{
country: '<string>',
iso2: '<string>',
city: '<string>',
state: '<string>',
iso3: '<string>'
}
]
})
};
fetch('https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'teamId' => '<string>',
'regions' => [
[
'country' => '<string>',
'iso2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'iso3' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh"
payload := strings.NewReader("{\n \"teamId\": \"<string>\",\n \"regions\": [\n {\n \"country\": \"<string>\",\n \"iso2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"iso3\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamId\": \"<string>\",\n \"regions\": [\n {\n \"country\": \"<string>\",\n \"iso2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"iso3\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamId\": \"<string>\",\n \"regions\": [\n {\n \"country\": \"<string>\",\n \"iso2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"iso3\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"enqueued": 123,
"runUnits": 123
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}Tracked prompts
Refresh a Prompt
Re-run a single tracked prompt.
POST
/
v3
/
ai-tracker
/
prompts
/
{id}
/
refresh
Refresh a prompt and all its region variants
curl --request POST \
--url https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"regions": [
{
"country": "<string>",
"iso2": "<string>",
"city": "<string>",
"state": "<string>",
"iso3": "<string>"
}
]
}
'import requests
url = "https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh"
payload = {
"teamId": "<string>",
"regions": [
{
"country": "<string>",
"iso2": "<string>",
"city": "<string>",
"state": "<string>",
"iso3": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
regions: [
{
country: '<string>',
iso2: '<string>',
city: '<string>',
state: '<string>',
iso3: '<string>'
}
]
})
};
fetch('https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'teamId' => '<string>',
'regions' => [
[
'country' => '<string>',
'iso2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'iso3' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh"
payload := strings.NewReader("{\n \"teamId\": \"<string>\",\n \"regions\": [\n {\n \"country\": \"<string>\",\n \"iso2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"iso3\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamId\": \"<string>\",\n \"regions\": [\n {\n \"country\": \"<string>\",\n \"iso2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"iso3\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/ai-tracker/prompts/{id}/refresh")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamId\": \"<string>\",\n \"regions\": [\n {\n \"country\": \"<string>\",\n \"iso2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"iso3\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"enqueued": 123,
"runUnits": 123
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}Re-run a single tracked prompt (and its enabled regional variants) to pull fresh AI responses. The runs are queued and the response returns the
enqueued count.
See Track Prompts.Was this page helpful?

